This site has been archived and you can no longer log in or post new messages. For up-to-date community resources please visit ezplatform.com

eZ Community » Forums » eZ Publish 5 Platform » Install from git repo with upgrade...
expandshrink

Install from git repo with upgrade does not work!

Install from git repo with upgrade does not work!

Sunday 10 February 2013 11:38:38 am - 7 replies

Hi!

I have been bumping my head in a wall of "not so easy understandable documentation" for the last two days. By following INSTALL.md from git repo I can't install it. This is my n-th iteration of install. Frustrating is what I feel right now toward ez! Not to mention that I have been reading all documentation, digging into kernel, api...

My server is with latest PHP 5.3.21-1~dotdeb.0, Apache and Percona Mysql.

By entering: php ezpublish/console assets:install --symlink web response is 

[Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException]  The service "templating" has a dependency on a non-existent service "templating.engine.eztpl".

 

Step 2.

Upgrade of existing 2012.08 to 2012.12 I get this:

FatalErrorException: Error: Wrong parameters for Exception([string $exception [, long $code [, Exception $previous = NULL]]]) in /var/www/public_html/vendor/ezsystems/ezpublish/eZ/Publish/Core/MVC/Symfony/Security/User/Provider.php line 81

?!?!?!

My dev.log:

[2013-02-10 12:12:26] event.DEBUG: Notified event "kernel.request" to listener "Symfony\Component\HttpKernel\EventListener\ProfilerListener:omg.gif EmoticonnKernelRequest". [] [][2013-02-10 12:12:26] event.DEBUG: Notified event "kernel.request" to listener "eZ\Publish\Core\MVC\Symfony\EventListener\SiteAccessMatchListener:omg.gif EmoticonnKernelRequest". [] [][2013-02-10 12:12:26] event.DEBUG: Notified event "kernel.request" to listener "eZ\Bundle\EzPublishCoreBundle\EventListener\RequestEventListener:omg.gif EmoticonnKernelRequestSetup". [] [][2013-02-10 12:12:26] event.DEBUG: Notified event "kernel.request" to listener "Symfony\Bundle\FrameworkBundle\EventListener\SessionListener:omg.gif EmoticonnKernelRequest". [] [][2013-02-10 12:12:26] event.DEBUG: Notified event "kernel.request" to listener "Symfony\Component\HttpKernel\EventListener\RouterProxyListener:omg.gif EmoticonnKernelRequest". [] [][2013-02-10 12:12:26] event.DEBUG: Notified event "kernel.request" to listener "Symfony\Component\HttpKernel\EventListener\RouterListener:omg.gif EmoticonnKernelRequest". [] [][2013-02-10 12:12:26] app.INFO: Router eZ\Bundle\EzPublishCoreBundle\Routing\DefaultRouter was not able to match, message "" [] [][2013-02-10 12:12:26] app.INFO: Router eZ\Bundle\EzPublishCoreBundle\Routing\UrlAliasRouter was not able to match, message "Config says to bypass UrlAliasRouter" [] [][2013-02-10 12:12:26] request.INFO: Matched route "ez_legacy" (parameters: "_route": "ez_legacy", "_controller": "ezpublish_legacy.controller:indexAction"blunk.gif Emoticon [] [][2013-02-10 12:12:26] event.DEBUG: Notified event "kernel.request" to listener "Symfony\Component\HttpKernel\EventListener\LocaleListener:omg.gif EmoticonnKernelRequest". [] [][2013-02-10 12:12:26] event.DEBUG: Notified event "kernel.request" to listener "eZ\Bundle\EzPublishCoreBundle\EventListener\RequestEventListener:omg.gif EmoticonnKernelRequestForward". [] [][2013-02-10 12:12:26] event.DEBUG: Notified event "kernel.request" to listener "Symfony\Component\Security\Http\Firewall:omg.gif EmoticonnKernelRequest". [] [][2013-02-10 12:12:26] app.DEBUG: Checking secure context token:  [] [][2013-02-10 12:12:26] app.DEBUG: Trying to pre-authenticate user "-1" [] []

I am definitely missing something but what and where? 

Best regards,
Sinisa 

Modified on Monday 11 February 2013 11:25:29 am by Siniša Šehović

Sunday 10 February 2013 12:19:01 pm

Hello. Try

php composer.phar update ezsystems/ezpublish

as said https://jira.ez.no/browse/EZP-20422

Sunday 10 February 2013 2:30:05 pm

Quote from Carlos Revillo :

Hello. Try

php composer.phar update ezsystems/ezpublish

as said https://jira.ez.no/browse/EZP-20422

Thanx!

Tried that but no update latest is already installed.

Sinisa 

Sunday 10 February 2013 4:11:18 pm

Hello,

I have updated my composer.lock to use the following reference for ezsystems/ezpublish : 07ae45c97d34e27cf8e8878aec706ce09063cce4 (last commit on the repo). 

And then 

php composer.phar update ezsystems/ezpublish

It worked for me. 

Cheers

Sunday 10 February 2013 4:31:43 pm

This is unfortunately the kind of head bumping that will happen from time to time with the git version, more now then before for the simple fact that it's split up across several repos. If you would like to avoid that, stick to builds, enterprise for most stability and community for a bit less on the edge then git version.

Sunday 10 February 2013 6:57:45 pm

Quote from André R :

This is unfortunately the kind of head bumping that will happen from time to time with the git version, more now then before for the simple fact that it's split up across several repos. If you would like to avoid that, stick to builds, enterprise for most stability and community for a bit less on the edge then git version.

Hi André,

well not only for GIT version. I haven't made any progress with "standard-uber-simple-install-of-2012.12" with upgrade from 2012.08 to 2012.12. I have damn front-end but can't access back-end (admin).

Admin siteaccess is based on URI and accessing it I have this :

An exception has been thrown during the rendering of a template ("Could not find 'Content' with identifier 'array ('id' => 10,'languages' => NULL,'versionNo' => 2,)'"blunk.gif Emoticon in "EzPublishLegacyBundle:errors:access_denied.html.twig".

Not to mention that at first I had : 

A Token was not found in the SecurityContext. 

with install "by the book". 

After adding in security.yml ezpublish_front: security: false i could see my front-end.

Well I am dead for now, spending whole weekend decoding and bumping I wish I haven't found ezpublish!

S.

Monday 11 February 2013 12:25:47 am

I guess that the "token not found in security context" error you got after upgrading 2012.8 to 2012?

I have personally tested installing the 2012.12 build (from scratch, no upgrade), and I did not run into that error. But if you did, it would be nice if you could report it in Jira - sorry for asking you to use more time, but that's the way the process works.

As for the backend not working, it seems it might be related to an expected content structure which is somehow missing. Did you change/remove the admin or anonymous user objects? Or the top-level nodes in the content? Or change language settings so that backoffice siteaccess does not "see" content in al languages?

Last but not least: if the site was built on 2012.8, it means it only used eZP4 technology. This means you should at least be able to upgrade to "only" the LS-stack within 2012.12 with little problem.

Monday 11 February 2013 11:24:09 am

Quote from Gaetano Giunta :

I guess that the "token not found in security context" error you got after upgrading 2012.8 to 2012?

I have personally tested installing the 2012.12 build (from scratch, no upgrade), and I did not run into that error. But if you did, it would be nice if you could report it in Jira - sorry for asking you to use more time, but that's the way the process works.

As for the backend not working, it seems it might be related to an expected content structure which is somehow missing. Did you change/remove the admin or anonymous user objects? Or the top-level nodes in the content? Or change language settings so that backoffice siteaccess does not "see" content in al languages?

Last but not least: if the site was built on 2012.8, it means it only used eZP4 technology. This means you should at least be able to upgrade to "only" the LS-stack within 2012.12 with little problem.

Hi Gaetano,

yes you are right, i have managed to install fresh ez5 but can't upgrade existing 2012.08 to 2012.12 with new ez5 infrastructure. I have not change/remove admin nor anonymous user objects. Followed upgrade procedure 08->12 but error is still there.

Where can I find in detail structure change for .yml config files?

Here is my ezpublish.yml:
http://pastebin.com/y4uC8r4a

Best regards,
Sinisa 

expandshrink

You must be logged in to post messages in this topic!

36 542 Users on board!

Forums menu

Proudly Developed with from